Skip to Content

Search the integrations catalog

Searches the providers this organization can connect, by key, text or category.

GET
/v1/integrations/catalog/search

Searches the providers this organization can connect, by key, text or category. Each entry carries its connection requirements and whether it can connect. Follow nextOffset until it is null.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

key?string
Match^[a-z0-9][a-z0-9_-]{0,63}$
query?string
Lengthlength <= 256
category?string
Value in"commerce""payments""shipping""calendar""crm""helpdesk""knowledge""forms""accounting""reviews""productivity""dns""channel""other"
offset?integer
Range0 <= value <= 9007199254740991
limit?integer
Range1 <= value <= 100

Response Body

IntegrationCatalogSearchPage

application/json
  1. response
items*array<>
total*integer
Range0 <= value <= 9007199254740991
nextOffset*|null
Example Request
import { createClient } from "samva";

const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });

const result = await samva.integrationCatalog.search({});
Example Response
{
  "items": [
    {
      "key": "string",
      "kind": "mcp",
      "name": "string",
      "description": "string",
      "domain": "string",
      "category": "commerce",
      "icon": "string",
      "logo": {
        "file": "string",
        "monochrome": true
      },
      "featured": true,
      "connectSpec": {
        "provider": "string",
        "auth": "discover",
        "inputs": {
          "property1": {
            "label": "string",
            "description": "string",
            "pattern": "string",
            "maxLength": 1,
            "example": "string",
            "default": "string",
            "kind": "hostnameLabel"
          },
          "property2": {
            "label": "string",
            "description": "string",
            "pattern": "string",
            "maxLength": 1,
            "example": "string",
            "default": "string",
            "kind": "hostnameLabel"
          }
        },
        "credentials": {
          "property1": {
            "label": "string"
          },
          "property2": {
            "label": "string"
          }
        }
      },
      "connectState": "ready",
      "reason": "string"
    }
  ],
  "total": 0,
  "nextOffset": 0
}

Related documentation